Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Anyone familiar with Iwdificaiton or Divine Remix?

ZhylawZhylaw Member Posts: 6
edited April 2017 in BG:EE Mods
I noticed these two mods are not listed on the 2.0 + SOD compatibility list. Looking at the mod pages its difficult to tell what version they are supposed to work with. Does anyone know if Iwdification OR divine remix work with 2.0 + SOD?

Also was wondering if I could use them both. I read the spell spheres portion of remix was kind of buggy so I'm not planning on installing that part anyway, but does anyone know if they are compatible with each other as well, since they both affect spells and what order they should be installed?

thanks

Comments

  • subtledoctorsubtledoctor Member Posts: 11,467
    The spell sphere system in DRv8 does not work at the moment. If you want a sphere system you might use Faiths & Powers instead. (Disclosure: I'm a co-author of F&P.)
    https://forums.beamdog.com/discussion/43174/faiths-and-powers-gods-of-the-realms-kitpack-and-divine-caster-spell-tweaks/p1

    The kits in DR are okay, but some need the application of a hotfix before you install the mod. Read about it in the mod's forum at Gibberlings3. (F&P also has a ton of divine-class kits. And the DR kits should work fine alongside the F&P kits, I'm using both mods together right now.)

    DR has components to give kits to a few NPCs, but they might be buggy as well. As an alternative you might use NPC_EE:
    https://forums.beamdog.com/discussion/43305/mod-npc-ee-non-player-characters-enhanced-for-everyone/p1

    I love love love IWDification but it uses pre-EE versions of the IWD spells, and doesn't have some spells that IWDEE has. For modern IWDEE spells I suggest using Grammarsalad's conversion:
    https://forums.beamdog.com/discussion/59668/iwd-divine-spells-in-bgee-sod-and-bg2ee/p1

    IWDification is still good for IWD-styke bard song switching, though.

    Finally, note that if you use the Faiths & Powers sphere system, it already includes the IWDEE spells, so you don't need that last one.

    ArctodusWise_Grimwald
  • ZhylawZhylaw Member Posts: 6
    edited April 2017
    wow, that was a helpful post lol. Thank you very much. I'll just go with faiths and powers then.
    Could I use the lost druid class kit mod with F&P out of curiosity?

    cheers

  • subtledoctorsubtledoctor Member Posts: 11,467
    Zhylaw said:

    wow, that was a helpful post lol. Thank you very much. I'll just go with faiths and powers then.
    Could I use the lost druid class kit mod with F&P out of curiosity?

    Yes... but there is not specific compatibility for it (yet) so it will get the same spheres as a Forest Druid. (Of course, that's what happens when you play with the vanilla spell system, so no big deal.) At some point we'll take a closer look at that mod and see what spheres it should get. Definitely the sphere of Death, probably also Dread and Decay...

    Just be aware, Faiths & Powers is on its first major beta release, it is still a bit rough around the edges. But we are smoothing things out whenever we get the time to do so.

    Wise_Grimwald
  • Wise_GrimwaldWise_Grimwald Member Posts: 2,651
    edited July 2017
    A quick question. Is the part of Faiths & Powers that restricts Clerics to lighter armour optional? As IMO they should be able to use heavy armour. I also don't like them using blades. These are both personal preferences, but if the mod allows the installer to decide which parts to install that should satisfy everybody (Or almost everybody at least.) :)

    Post edited by Wise_Grimwald on
  • GrammarsaladGrammarsalad Member Posts: 2,510

    A quick question. Is the part of Faiths & Powers that restricts Clerics to lighter armour optional? As IMO they should be able to use heavy armour. I also don't like them using blades. These are both personal preferences, but if the mod allows the installer to decide which parts to install that should satisfy everybody (Or almst everybody at least.) :)

    We are finalizing an aspect of the mod that should allow this to be possible. It may require you to go into the code to make changes ( or does it use an ini @subtledoctor?

    Wise_Grimwald
  • subtledoctorsubtledoctor Member Posts: 11,467
    No .ini... the new system will have pretty clear variables that you can alter in various .tpa files. But, I will say, the variables are applied on a kit-by-kit basis, so if you want to do something like prevent all cleric kits from using blades weapons, you would have to make a lot of edits. (As there are something like 75 kits affected by the variables.)

    Hmm, I wonder if we can set it up such that people could simply disable the item use changes in their entirety, by just commenting out a single INCLUDE line (or could even put it in an .ini file)...? And make the mod still functional? I'll look not it when I have a chance.

    Wise_Grimwald
  • Wise_GrimwaldWise_Grimwald Member Posts: 2,651
    As far as the use of bladed weapons is concerned, I have the same problem with a few mods so I just don't use bladed weapons though I can. The armour I can do nothing about.

Sign In or Register to comment.